/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package benten.twa.filter.core.valueobject;

/**
 * 処理クラス [BentenConvertToXliffProcess]の入力バリューオブジェクトクラスです。
 */
public class BentenConvertToXliffProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * 変換元となる HTML が格納されたディレクトリ。
     *
     * フィールド: [sourcedir]。
     */
    private String fSourcedir;

    /**
     * 変換先となる XLIFF を格納するディレクトリ。
     *
     * フィールド: [targetdir]。
     */
    private String fTargetdir;

    /**
     * 翻訳対象 id  を格納します。
     *
     * フィールド: [transtargetid]。
     */
    private String fTranstargetid;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourcedir] の値を設定します。
     *
     * フィールドの説明: [変換元となる HTML が格納されたディレクトリ。]。
     *
     * @param argSourcedir フィールド[sourcedir]に設定する値。
     */
    public void setSourcedir(final String argSourcedir) {
        fSourcedir = argSourcedir;
    }

    /**
     * フィールド [sourcedir] の値を取得します。
     *
     * フィールドの説明: [変換元となる HTML が格納されたディレクトリ。]。
     *
     * @return フィールド[sourcedir]から取得した値。
     */
    public String getSourcedir() {
        return fSourcedir;
    }

    /**
     * フィールド [targetdir] の値を設定します。
     *
     * フィールドの説明: [変換先となる XLIFF を格納するディレクトリ。]。
     *
     * @param argTargetdir フィールド[targetdir]に設定する値。
     */
    public void setTargetdir(final String argTargetdir) {
        fTargetdir = argTargetdir;
    }

    /**
     * フィールド [targetdir] の値を取得します。
     *
     * フィールドの説明: [変換先となる XLIFF を格納するディレクトリ。]。
     *
     * @return フィールド[targetdir]から取得した値。
     */
    public String getTargetdir() {
        return fTargetdir;
    }

    /**
     * フィールド [transtargetid] の値を設定します。
     *
     * フィールドの説明: [翻訳対象 id  を格納します。]。
     *
     * @param argTranstargetid フィールド[transtargetid]に設定する値。
     */
    public void setTranstargetid(final String argTranstargetid) {
        fTranstargetid = argTranstargetid;
    }

    /**
     * フィールド [transtargetid] の値を取得します。
     *
     * フィールドの説明: [翻訳対象 id  を格納します。]。
     *
     * @return フィールド[transtargetid]から取得した値。
     */
    public String getTranstargetid() {
        return fTranstargetid;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("benten.twa.filter.core.valueobject.BentenConvertToXliffProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourcedir=" + fSourcedir);
        buf.append(",targetdir=" + fTargetdir);
        buf.append(",transtargetid=" + fTranstargetid);
        buf.append("]");
        return buf.toString();
    }
}
